package com.hzya.frame.seeyon.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * 
 * @content OA附件业务表
 * @Param 
 * @Return 
 * @Author hecan 
 * @Date 2023/11/1 14:58
 * **/
public class CtpAttachmentEntity extends BaseEntity {
    private String id;//主键ID
    private String sub_reference;//次数据ID此id为真正写在流程表单中的ID
    private String category; //应用分类、
    private String type;//分类
    private String filename;//附件名称
    private String file_url;//附件链接
    private String mime_type;//
    private Date createdate;//创建时间
    private String attachment_size;//附件大小
    private String sort;//序号
    private String att_reference;//流程表的ID（col_summary）
    private String uuid;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSub_reference() {
        return sub_reference;
    }

    public void setSub_reference(String sub_reference) {
        this.sub_reference = sub_reference;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getFile_url() {
        return file_url;
    }

    public void setFile_url(String file_url) {
        this.file_url = file_url;
    }

    public String getMime_type() {
        return mime_type;
    }

    public void setMime_type(String mime_type) {
        this.mime_type = mime_type;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getAttachment_size() {
        return attachment_size;
    }

    public void setAttachment_size(String attachment_size) {
        this.attachment_size = attachment_size;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getAtt_reference() {
        return att_reference;
    }

    public void setAtt_reference(String att_reference) {
        this.att_reference = att_reference;
    }
}
